Class | Chef::Knife::Core::NodePresenter
In: | lib/chef/knife/core/node_presenter.rb
Parent: | GenericPresenter

## Chef::Knife::Core::NodePresenter

     A customized presenter for Chef::Node objects. Supports variable-length
     output formats for displaying node data

### Methods

format key summarize summarize_json

### Public Instance methods

format(data)
key(key_text)
summarize(data)

Converts a Chef::Node object to a string suitable for output to a terminal. If config[:medium_output] or config[:long_output] are set the volume of output is adjusted accordingly. Uses colors if enabled in the the ui object.

summarize_json(data)

[Validate]